-- Deploy camper:available_booking_status to pg
-- requires: booking_status
-- requires: booking_status_i18n

begin;

insert into camper.booking_status (booking_status, name)
values ('created', 'Created')
     , ('cancelled', 'Cancelled')
     , ('confirmed', 'Confirmed')
     , ('checked-in', 'Checked in')
     , ('invoiced', 'Invoiced')
;

insert into camper.booking_status_i18n (booking_status, lang_tag, name)
values ('created', 'ca', 'Creada')
     , ('cancelled', 'ca', 'Cancel·lada')
     , ('confirmed', 'ca', 'Confirmada')
     , ('checked-in', 'ca', 'Registrada')
     , ('invoiced', 'ca', 'Facturada')
     , ('created', 'es', 'Creada')
     , ('cancelled', 'es', 'Cancelada')
     , ('confirmed', 'es', 'Confirmada')
     , ('checked-in', 'es', 'Registrada')
     , ('invoiced', 'es', 'Facturada')
     , ('created', 'fr', 'Créé')
     , ('cancelled', 'fr', 'Annulé')
     , ('confirmed', 'fr', 'Confirmé')
     , ('checked-in', 'fr', 'Enregistré')
     , ('invoiced', 'fr', 'Facturé')
;

commit;
